/*
 * fxDice - A simple dice roller webapp.
 * Copyright (C) 2015 MiKael NAVARRO
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/* Global alert, console */
"use strict";

/* If browser has support for installable apps, run the install code; if not, hide the install button.
 */
if (navigator.mozApps) {
    var checkIfInstalled = navigator.mozApps.getSelf();
    checkIfInstalled.onsuccess = function() {
	if (checkIfInstalled.result) {
	    /* Already installed */
	    var installationInstructions = document.querySelector("#message");
	    if (installationInstructions) {
		installationInstructions.style.display = "none";
	    }
	}
	else {
	    var install = document.querySelector("#install"),
	    manifestURL = location.href.substring(0, location.href.lastIndexOf("/")) + "/manifest-hosted.webapp";
	    install.className += " show-install";
	    install.onclick = function() {
		var installApp = navigator.mozApps.install(manifestURL);
		installApp.onsuccess = function() {
		    install.style.display = "none";
		};
		installApp.onerror = function() {
		    alert("Install failed\n\n:" + installApp.error.name);
		};
	    };
	}
    };
}
else {
    console.log("Open Web Apps not supported!");
}

/* Reload content...
 */
var reload = document.querySelector("#reload");
if (reload) {
    reload.onclick = function() {
	location.reload(true);
    };
}
